KJS::HashEntry Struct Reference

`#include <lookup.h>`

## Public Attributes

unsigned short | soffset
short int | value
unsigned char | attr
unsigned char | params
short | next

## Detailed Description

An entry in a hash table.

Definition at line 37 of file lookup.h.

## Member Data Documentation

unsigned char KJS::HashEntry::attr

attr is a set for flags (e.g.

the property flags, see object.h)

Definition at line 49 of file lookup.h.

short KJS::HashEntry::next

next is the index to the next entry for the same hash value

Definition at line 58 of file lookup.h.

unsigned char KJS::HashEntry::params

params is another number.

For property hashtables, it is used to denote the number of argument of the function

Definition at line 54 of file lookup.h.

unsigned short KJS::HashEntry::soffset

s is the offset to the string key (e.g.

a property name)

Definition at line 41 of file lookup.h.

short int KJS::HashEntry::value

value is the result value (usually an enum value)

Definition at line 45 of file lookup.h.

The documentation for this struct was generated from the following file:

- lookup.h

KDE Home | KDE Accessibility Home | Description of Access Keys